## tif22pnm-0.14.tar.gz

=== Makefile ===
.PHONY: all install distclean dist compile clean

compile: compiled.stamp

all compiled.stamp: config.h
	./do.sh compile
	touch compiled.stamp

config.h:
	./configure

distclean:
	./do.sh confclean

install: compiled.stamp
	test -f tif22pnm || exit 0; . cc_help.sh && cp tif22pnm "$$prefix"/bin
	test -f png22pnm || exit 0; . cc_help.sh && cp png22pnm "$$prefix"/bin

dist: distclean
	./do.sh dist

clean:
	./do.sh clean

=== debian/changelog ===
tif22pnm (0.14-1) karmic; urgency=low

  * Added support for libpng-1.5.

 -- Szab Pter <pts@math.bme.hu>  Thu, 02 Mar 2012 23:40:41 +0100

tif22pnm (0.12-1) karmic; urgency=low

  * Fixed compilation errors and warnings.

 -- Szab Pter <pts@math.bme.hu>  Thu, 15 Dec 2011 23:40:41 +0100

tif22pnm (0.11-3) unstable; urgency=low

  * Fiexed $prefix in make install

 -- Szab Pter <pts@math.bme.hu>  Mon, 22 May 2006 12:01:57 +0200

tif22pnm (0.11-2) unstable; urgency=low

  * packaging changes

 -- Szab Pter <pts@math.bme.hu>  Mon, 20 Oct 2003 15:55:05 +0200

tif22pnm (0.11-1) unstable; urgency=low

  * Win32 serious BUGFIX.

 -- Szab Pter <pts@math.bme.hu>  Tue, 18 Mar 2003 17:13:07 +0100

tif22pnm (0.10-1) unstable; urgency=low

  * png22pnm, Debian package, CVS merge

 -- Szab Pter <pts@math.bme.hu>  Wed,  5 Feb 2003 21:26:12 +0100

tif22pnm (0.09-1) unstable; urgency=low

  * integrated png22pnm, working Debian package

 -- Szab Pter <pts@math.bme.hu>  Fri, 17 Jan 2003 20:15:24 +0100

tif22pnm (0.08-1) unstable; urgency=low

  * Initial release.

  * works on Win32 + MinGW

 -- Szab Pter <pts@math.bme.hu>  Fri, 17 Jan 2003 19:39:34 +0100

=== debian/control ===
Source: tif22pnm
Section: unknown
Priority: optional
Maintainer: Szab Pter <pts@fazekas.hu>
Standards-Version: 3.2.1
Build-Depends: debmake, libtiff-dev, (libpng-dev | libpng2-dev | libpng3-dev)

Package: tif22pnm
Replaces: png22pnm
Architecture: i386
Depends: ${shlibs:Depends}
Description: an extremely compatible between TIFF and PNM converter
 tif22pnm is a command line utility that converts between TIFF sampled images
 and PNM images (both directions), using the libtiff library, but not using
 NetPBM. tif22pnm is similar to tifftopnm utility in the NetPBM distribution,
 but tif22pnm handles a wider range of TIFF files and it is able to output
 the alpha channel as a PBM or PGM file. png22pnm, a converter from PNG to
 PNM is also bundled into the distribution

Package: png22pnm
Replaces: tif22pnm
Architecture: i386
Depends: ${shlibs:Depends}
Description: an extremely compatible PNG to PNM converter
 png22pnm is a command line utility that converts from PNG sampled images
 to PNM images, using the libpng library, but not using NetPBM. tif22pnm is
 similar to pngtopnm utility in the NetPBM distribution, but tif22pnm
 doesn't use NetPBM.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=tif22pnm

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README README~ 
	dpkg-gencontrol -isp -ptif22pnm
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary:
	$(checkdir)
	if test root = "`whoami`"; then $(MAKE) -f debian/rules binary-indep binary-arch; \
	else                   fakeroot $(MAKE) -f debian/rules binary-indep binary-arch; fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

.PHONY: source source-here
source-here:
	rm -rf debsrc
	mkdir -p debsrc/debian
	cp -a $(wildcard $(addprefix debian/,README.debian docs changelog control copyright dirs rules prerm postrm postinst preinst)) debsrc/debian/
	cp -a debian/README.debian debian/changelog debian/control debian/copyright debian/dirs debian/png22pnm.docs debian/rules debsrc/debian/
	cp -a files README minigimp.c miniglib.c ptspnm.c ptstiff3.c tif22pnm.c png22pnm.c minigimp.h miniglib.h ptspnm.h ptstiff3.h aclocal.m4 configure.in configure do.sh config.h.in cc_help.sh.in COPYING Makefile debsrc/
	DIR="`<debian/changelog perl -ne 'print if s@^(\S+) [(]([^)]+?)(?:-\d+)?[)].*@$$1-$$2@;last'`" && \
	  test ! -d "$$DIR" && \
	  mv debsrc "$$DIR" && \
	  (dpkg-source -b "$$DIR";true) && \
	  rm -rf "$$DIR"

source: source-here
	mv $(package)_*-*.tar.gz $(package)_*-*.dsc ..
